precision mediump float; 
uniform sampler2D u_Texture0; 
uniform sampler2D u_Texture1;
uniform sampler2D u_Texture2;
uniform sampler2D u_Texture3;
varying vec2 v_TexCoordinate;
const vec3 W = vec3(0.2125, 0.7154, 0.0721);

void main()
{
	vec2 st = v_TexCoordinate.st;
	vec4 texel = texture2D(u_Texture0,st);
	vec3 bbTexel = texture2D(u_Texture1, st).rgb;

	texel.r = texture2D(u_Texture2, vec2(bbTexel.r, texel.r)).r;
	texel.g = texture2D(u_Texture2, vec2(bbTexel.g, texel.g)).g;
	texel.b = texture2D(u_Texture2, vec2(bbTexel.b, texel.b)).b;

	vec4 mapped;
	mapped.r = texture2D(u_Texture3, vec2(texel.r, .16666)).r;
	mapped.g = texture2D(u_Texture3, vec2(texel.g, .5)).g;
	mapped.b = texture2D(u_Texture3, vec2(texel.b, .83333)).b;
	mapped.a = 1.0;

	gl_FragColor = mapped;


}